Skip to content

Get File Page Screenshot

client.pipelines.images.getPageScreenshot(numberpageIndex, ImageGetPageScreenshotParams { id, organization_id, project_id } params, RequestOptionsoptions?): ImageGetPageScreenshotResponse
GET/api/v1/files/{id}/page_screenshots/{page_index}

Get screenshot of a page from a file.

ParametersExpand Collapse
pageIndex: number
params: ImageGetPageScreenshotParams { id, organization_id, project_id }
id: string

Path param

formatuuid
organization_id?: string | null

Query param

formatuuid
project_id?: string | null

Query param

formatuuid
ReturnsExpand Collapse
ImageGetPageScreenshotResponse = unknown

Get File Page Screenshot

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

const response = await client.pipelines.images.getPageScreenshot(0, {
  id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});

console.log(response);
{}
Returns Examples
{}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/